eoFlOrKAtomQuadOp(3)

NAME
eoFlOrKAtomQuadOp - Quad Crossover using an Atom Crossover that is applied to a FIXED NB of components.

SYNOPSIS

#include <eoFlOrQuadOp.h>

Inherits eoQuadOp< EOT >.

  Public Types
typedef EOT::AtomType AtomType

  Public Member Functions
eoFlOrAtomQuadOp (eoQuadOp< AtomType > &_op, unsigned _k=1)
default ctor: requires an Atom QuadOp and an unsigned
bool operator() (EOT &_eo1, const EOT &_eo2)
applies the Atom QuadOp to some components
virtual string className () const
inherited className()

  Private Attributes
unsigned k
eoQuadOp< AtomType > & op

Detailed Description

  template<class EOT> class eoFlOrKAtomQuadOp< EOT >
Quad Crossover using an Atom Crossover that is applied to a FIXED NB of components.

Definition at line 84 of file eoFlOrQuadOp.h.

Author

Generated automatically by Doxygen for EO from the source code.